function Car( image, make, model, description, price, category, year, mileage, extras ) {
	this.image       = image;
	this.make        = make;
	this.model       = model;
	this.description = description;
	this.price       = price;
	this.category    = category;
	this.year        = year;
	this.mileage     = mileage;
	this.extras      = extras;
}




Car.prototype.generateImage = function ( elt ) {
	const image = document.createElement("img");
	elt.appendChild( image );

	image.src = this.image;
	image.alt = this.make + " " + this.model;

	image.class = "card-img-top";
}




Car.prototype.generateExtras = function ( elt ) {
	const ul    = document.createElement("ul");
	let   li;

	elt.appendChild( ul );


	this.extras.forEach (function(e) {
		li = document.createElement("li");
		ul.appendChild( li );

		li.innerText = e.name + " : " + e.price + "€";
	})

}